package Atk;
sub BINARY_AGE { }
sub INTERFACE_AGE { }
sub MAJOR_VERSION { }
sub MICRO_VERSION { }
sub MINOR_VERSION { }
sub VERSION_MIN_REQUIRED { }
sub attribute_set_free { }
sub focus_tracker_notify { }
sub get_binary_age { }
sub get_default_registry { }
sub get_focus_object { }
sub get_interface_age { }
sub get_major_version { }
sub get_micro_version { }
sub get_minor_version { }
sub get_root { }
sub get_toolkit_name { }
sub get_toolkit_version { }
sub get_version { }
sub relation_type_for_name { }
sub relation_type_get_name { }
sub relation_type_register { }
sub remove_focus_tracker { }
sub remove_global_event_listener { }
sub remove_key_event_listener { }
sub role_for_name { }
sub role_get_localized_name { }
sub role_get_name { }
sub role_register { }
sub state_type_for_name { }
sub state_type_get_name { }
sub state_type_register { }
sub text_attribute_for_name { }
sub text_attribute_get_name { }
sub text_attribute_get_value { }
sub text_attribute_register { }
sub text_free_ranges { }
sub value_type_get_localized_name { }
sub value_type_get_name { }

package Atk::Action;
sub do_action { }
sub get_description { }
sub get_keybinding { }
sub get_localized_name { }
sub get_n_actions { }
sub get_name { }
sub set_description { }

package Atk::ActionIface;
sub do_action { }
sub get_description { }
sub get_keybinding { }
sub get_localized_name { }
sub get_n_actions { }
sub get_name { }
sub parent { }
sub set_description { }

package Atk::Attribute;
sub name { }
sub set_free { }
sub value { }

package Atk::Component;
sub contains { }
sub get_alpha { }
sub get_extents { }
sub get_layer { }
sub get_mdi_zorder { }
sub get_position { }
sub get_size { }
sub grab_focus { }
sub ref_accessible_at_point { }
sub remove_focus_handler { }
sub scroll_to { }
sub scroll_to_point { }
sub set_extents { }
sub set_position { }
sub set_size { }

package Atk::ComponentIface;
sub add_focus_handler { }
sub bounds_changed { }
sub contains { }
sub get_alpha { }
sub get_extents { }
sub get_layer { }
sub get_mdi_zorder { }
sub get_position { }
sub get_size { }
sub grab_focus { }
sub parent { }
sub ref_accessible_at_point { }
sub remove_focus_handler { }
sub scroll_to { }
sub scroll_to_point { }
sub set_extents { }
sub set_position { }
sub set_size { }

package Atk::Document;
sub get_attribute_value { }
sub get_attributes { }
sub get_current_page_number { }
sub get_document { }
sub get_document_type { }
sub get_locale { }
sub get_page_count { }
sub set_attribute_value { }

package Atk::DocumentIface;
sub get_current_page_number { }
sub get_document { }
sub get_document_attribute_value { }
sub get_document_attributes { }
sub get_document_locale { }
sub get_document_type { }
sub get_page_count { }
sub parent { }
sub set_document_attribute { }

package Atk::EditableText;
sub copy_text { }
sub cut_text { }
sub delete_text { }
sub insert_text { }
sub paste_text { }
sub set_run_attributes { }
sub set_text_contents { }

package Atk::EditableTextIface;
sub copy_text { }
sub cut_text { }
sub delete_text { }
sub insert_text { }
sub parent_interface { }
sub paste_text { }
sub set_run_attributes { }
sub set_text_contents { }

package Atk::GObjectAccessible;
our @ISA = qw(Atk::Object);
sub for_object { }
sub get_object { }

package Atk::GObjectAccessibleClass;
sub pad1 { }
sub pad2 { }
sub parent_class { }

package Atk::Hyperlink;
our @ISA = qw(GObject::Object);
sub get_end_index { }
sub get_n_anchors { }
sub get_object { }
sub get_start_index { }
sub get_uri { }
sub is_inline { }
sub is_selected_link { }
sub is_valid { }

package Atk::HyperlinkClass;
sub get_end_index { }
sub get_n_anchors { }
sub get_object { }
sub get_start_index { }
sub get_uri { }
sub is_selected_link { }
sub is_valid { }
sub link_activated { }
sub link_state { }
sub pad1 { }
sub parent { }

package Atk::HyperlinkImpl;
sub get_hyperlink { }

package Atk::HyperlinkImplIface;
sub get_hyperlink { }
sub parent { }

package Atk::Hypertext;
sub get_link { }
sub get_link_index { }
sub get_n_links { }

package Atk::HypertextIface;
sub get_link { }
sub get_link_index { }
sub get_n_links { }
sub link_selected { }
sub parent { }

package Atk::Image;
sub get_image_description { }
sub get_image_locale { }
sub get_image_position { }
sub get_image_size { }
sub set_image_description { }

package Atk::ImageIface;
sub get_image_description { }
sub get_image_locale { }
sub get_image_position { }
sub get_image_size { }
sub parent { }
sub set_image_description { }

package Atk::Implementor;
sub ref_accessible { }

package Atk::KeyEventStruct;
sub keycode { }
sub keyval { }
sub length { }
sub state { }
sub string { }
sub timestamp { }
sub type { }

package Atk::Misc;
our @ISA = qw(GObject::Object);
sub get_instance { }
sub threads_enter { }
sub threads_leave { }

package Atk::MiscClass;
sub parent { }
sub threads_enter { }
sub threads_leave { }
sub vfuncs { }

package Atk::NoOpObject;
our @ISA = qw(Atk::Object);
sub new { }

package Atk::NoOpObjectClass;
sub parent_class { }

package Atk::NoOpObjectFactory;
our @ISA = qw(Atk::ObjectFactory);
sub new { }

package Atk::NoOpObjectFactoryClass;
sub parent_class { }

package Atk::Object;
our @ISA = qw(GObject::Object);
sub add_relationship { }
sub get_accessible_id { }
sub get_attributes { }
sub get_description { }
sub get_index_in_parent { }
sub get_layer { }
sub get_mdi_zorder { }
sub get_n_accessible_children { }
sub get_name { }
sub get_object_locale { }
sub get_parent { }
sub get_role { }
sub initialize { }
sub notify_state_change { }
sub peek_parent { }
sub ref_accessible_child { }
sub ref_relation_set { }
sub ref_state_set { }
sub remove_property_change_handler { }
sub remove_relationship { }
sub set_accessible_id { }
sub set_description { }
sub set_name { }
sub set_parent { }
sub set_role { }

package Atk::ObjectClass;
sub active_descendant_changed { }
sub children_changed { }
sub connect_property_change_handler { }
sub focus_event { }
sub get_attributes { }
sub get_description { }
sub get_index_in_parent { }
sub get_layer { }
sub get_mdi_zorder { }
sub get_n_children { }
sub get_name { }
sub get_object_locale { }
sub get_parent { }
sub get_role { }
sub initialize { }
sub pad1 { }
sub parent { }
sub property_change { }
sub ref_child { }
sub ref_relation_set { }
sub ref_state_set { }
sub remove_property_change_handler { }
sub set_description { }
sub set_name { }
sub set_parent { }
sub set_role { }
sub state_change { }
sub visible_data_changed { }

package Atk::ObjectFactory;
our @ISA = qw(GObject::Object);
sub create_accessible { }
sub get_accessible_type { }
sub invalidate { }

package Atk::ObjectFactoryClass;
sub create_accessible { }
sub get_accessible_type { }
sub invalidate { }
sub pad1 { }
sub pad2 { }
sub parent_class { }

package Atk::Plug;
our @ISA = qw(Atk::Object);
sub get_id { }
sub new { }
sub set_child { }

package Atk::PlugClass;
sub get_object_id { }
sub parent_class { }

package Atk::PropertyValues;
sub new_value { }
sub old_value { }
sub property_name { }

package Atk::Range;
sub copy { }
sub free { }
sub get_description { }
sub get_lower_limit { }
sub get_upper_limit { }
sub new { }

package Atk::Rectangle;
sub height { }
sub width { }
sub Atk::Rectangle::x { }
sub y { }

package Atk::Registry;
our @ISA = qw(GObject::Object);
sub get_factory { }
sub get_factory_type { }
sub set_factory_type { }

package Atk::RegistryClass;
sub parent_class { }

package Atk::Relation;
our @ISA = qw(GObject::Object);
sub add_target { }
sub get_relation_type { }
sub get_target { }
sub new { }
sub remove_target { }

package Atk::RelationClass;
sub parent { }

package Atk::RelationSet;
our @ISA = qw(GObject::Object);
sub add { }
sub add_relation_by_type { }
sub contains { }
sub contains_target { }
sub get_n_relations { }
sub get_relation { }
sub get_relation_by_type { }
sub new { }
sub remove { }

package Atk::RelationSetClass;
sub pad1 { }
sub pad2 { }
sub parent { }

package Atk::RelationType;
sub for_name { }
sub get_name { }
sub register { }

package Atk::Role;
sub for_name { }
sub get_localized_name { }
sub get_name { }
sub register { }

package Atk::Selection;
sub add_selection { }
sub clear_selection { }
sub get_selection_count { }
sub is_child_selected { }
sub ref_selection { }
sub remove_selection { }
sub select_all_selection { }

package Atk::SelectionIface;
sub add_selection { }
sub clear_selection { }
sub get_selection_count { }
sub is_child_selected { }
sub parent { }
sub ref_selection { }
sub remove_selection { }
sub select_all_selection { }
sub selection_changed { }

package Atk::Socket;
our @ISA = qw(Atk::Object);
sub embed { }
sub is_occupied { }
sub new { }

package Atk::SocketClass;
sub embed { }
sub parent_class { }

package Atk::StateSet;
our @ISA = qw(GObject::Object);
sub add_state { }
sub add_states { }
sub and_sets { }
sub clear_states { }
sub contains_state { }
sub contains_states { }
sub is_empty { }
sub new { }
sub or_sets { }
sub remove_state { }
sub xor_sets { }

package Atk::StateSetClass;
sub parent { }

package Atk::StateType;
sub for_name { }
sub get_name { }
sub register { }

package Atk::StreamableContent;
sub get_mime_type { }
sub get_n_mime_types { }
sub get_stream { }
sub get_uri { }

package Atk::StreamableContentIface;
sub get_mime_type { }
sub get_n_mime_types { }
sub get_stream { }
sub get_uri { }
sub pad1 { }
sub pad2 { }
sub pad3 { }
sub parent { }

package Atk::Table;
sub add_column_selection { }
sub add_row_selection { }
sub get_caption { }
sub get_column_at_index { }
sub get_column_description { }
sub get_column_extent_at { }
sub get_column_header { }
sub get_index_at { }
sub get_n_columns { }
sub get_n_rows { }
sub get_row_at_index { }
sub get_row_description { }
sub get_row_extent_at { }
sub get_row_header { }
sub get_selected_columns { }
sub get_selected_rows { }
sub get_summary { }
sub is_column_selected { }
sub is_row_selected { }
sub is_selected { }
sub ref_at { }
sub remove_column_selection { }
sub remove_row_selection { }
sub set_caption { }
sub set_column_description { }
sub set_column_header { }
sub set_row_description { }
sub set_row_header { }
sub set_summary { }

package Atk::TableCell;
sub get_column_header_cells { }
sub get_column_span { }
sub get_position { }
sub get_row_column_span { }
sub get_row_header_cells { }
sub get_row_span { }
sub get_table { }

package Atk::TableCellIface;
sub get_column_header_cells { }
sub get_column_span { }
sub get_position { }
sub get_row_column_span { }
sub get_row_header_cells { }
sub get_row_span { }
sub get_table { }
sub parent { }

package Atk::TableIface;
sub add_column_selection { }
sub add_row_selection { }
sub column_deleted { }
sub column_inserted { }
sub column_reordered { }
sub get_caption { }
sub get_column_at_index { }
sub get_column_description { }
sub get_column_extent_at { }
sub get_column_header { }
sub get_index_at { }
sub get_n_columns { }
sub get_n_rows { }
sub get_row_at_index { }
sub get_row_description { }
sub get_row_extent_at { }
sub get_row_header { }
sub get_selected_columns { }
sub get_selected_rows { }
sub get_summary { }
sub is_column_selected { }
sub is_row_selected { }
sub is_selected { }
sub model_changed { }
sub parent { }
sub ref_at { }
sub remove_column_selection { }
sub remove_row_selection { }
sub row_deleted { }
sub row_inserted { }
sub row_reordered { }
sub set_caption { }
sub set_column_description { }
sub set_column_header { }
sub set_row_description { }
sub set_row_header { }
sub set_summary { }

package Atk::Text;
sub add_selection { }
sub free_ranges { }
sub get_bounded_ranges { }
sub get_caret_offset { }
sub get_character_at_offset { }
sub get_character_count { }
sub get_character_extents { }
sub get_default_attributes { }
sub get_n_selections { }
sub get_offset_at_point { }
sub get_range_extents { }
sub get_run_attributes { }
sub get_selection { }
sub get_string_at_offset { }
sub get_text { }
sub get_text_after_offset { }
sub get_text_at_offset { }
sub get_text_before_offset { }
sub remove_selection { }
sub scroll_substring_to { }
sub scroll_substring_to_point { }
sub set_caret_offset { }
sub set_selection { }

package Atk::TextAttribute;
sub for_name { }
sub get_name { }
sub get_value { }
sub register { }

package Atk::TextIface;
sub add_selection { }
sub get_bounded_ranges { }
sub get_caret_offset { }
sub get_character_at_offset { }
sub get_character_count { }
sub get_character_extents { }
sub get_default_attributes { }
sub get_n_selections { }
sub get_offset_at_point { }
sub get_range_extents { }
sub get_run_attributes { }
sub get_selection { }
sub get_string_at_offset { }
sub get_text { }
sub get_text_after_offset { }
sub get_text_at_offset { }
sub get_text_before_offset { }
sub parent { }
sub remove_selection { }
sub scroll_substring_to { }
sub scroll_substring_to_point { }
sub set_caret_offset { }
sub set_selection { }
sub text_attributes_changed { }
sub text_caret_moved { }
sub text_changed { }
sub text_selection_changed { }

package Atk::TextRange;
sub bounds { }
sub content { }
sub end_offset { }
sub start_offset { }

package Atk::TextRectangle;
sub height { }
sub width { }
sub Atk::TextRectangle::x { }
sub y { }

package Atk::UtilClass;
sub add_global_event_listener { }
sub add_key_event_listener { }
sub get_root { }
sub get_toolkit_name { }
sub get_toolkit_version { }
sub parent { }
sub remove_global_event_listener { }
sub remove_key_event_listener { }

package Atk::Value;
sub get_current_value { }
sub get_increment { }
sub get_maximum_value { }
sub get_minimum_increment { }
sub get_minimum_value { }
sub get_range { }
sub get_sub_ranges { }
sub get_value_and_text { }
sub set_current_value { }
sub set_value { }

package Atk::ValueIface;
sub get_current_value { }
sub get_increment { }
sub get_maximum_value { }
sub get_minimum_increment { }
sub get_minimum_value { }
sub get_range { }
sub get_sub_ranges { }
sub get_value_and_text { }
sub parent { }
sub set_current_value { }
sub set_value { }

package Atk::ValueType;
sub get_localized_name { }
sub get_name { }

package Atk::WindowIface;
sub parent { }

