
package Net::DNS;
our @ISA = qw();
sub SEQUENTIAL() {}
sub UNIXTIME() {}
sub YYYYMMDDxx() {}
sub mx { my ($_o_arg1) = @_ }
sub nxdomain() {}
sub nxrrset() {}
sub rr { my ($_o_arg1) = @_ }
sub rr_add() {}
sub rr_del() {}
sub rrsort { my ($_attribute, @_more_paras) = @_ }
sub version() {}
sub yxdomain() {}
sub yxrrset() {}

package Net::DNS::Domain;
our @ISA = qw();
sub _decode_ascii() {}
sub _encode_ascii() {}
sub _escape() {}
sub _unescape() {}
sub fqdn() {}
sub label() {}
sub name { my ($_o_self) = @_ }
sub new { my ($_class, $_o_s) = @_ }
sub origin { my ($_class, $_o_name) = @_ }
sub string() {}
sub xname() {}

package Net::DNS::DomainName;
our @ISA = qw();
sub _wire() {}
sub canonical() {}
sub decode() {}
sub encode() {}

package Net::DNS::DomainName1035;
our @ISA = qw();
sub encode() {}

package Net::DNS::DomainName2535;
our @ISA = qw();
sub encode() {}

package Net::DNS::Header;
our @ISA = qw();
sub _dnsflag() {}
sub _ednsflag() {}
sub aa() {}
sub ad() {}
sub adcount() {}
sub ancount() {}
sub arcount() {}
sub cd() {}
sub do() {}
sub edns() {}
sub id() {}
sub nscount() {}
sub opcode() {}
sub prcount() {}
sub qdcount() {}
sub qr() {}
sub ra() {}
sub rcode() {}
sub rd() {}
sub size() {}
sub string() {}
sub tc() {}
sub upcount() {}
sub z() {}
sub zocount() {}

package Net::DNS::Mailbox;
our @ISA = qw();
sub address() {}
sub new() {}

package Net::DNS::Mailbox1035;
our @ISA = qw();
sub encode() {}

package Net::DNS::Mailbox2535;
our @ISA = qw();
sub encode() {}

package Net::DNS::Nameserver;
our @ISA = qw();
sub get_open_tcp() {}
sub inet_new() {}
sub loop_once { my ($_self, $_o_timeout) = @_ }
sub main_loop() {}
sub make_reply { my ($_self, $_query, $_peerhost, $_o_conn) = @_ }
sub new { my ($_class, @_more_paras) = @_ }
sub readfromtcp { my ($_self, $_o_sock) = @_ }
sub tcp_connection { my ($_self, $_o_sock) = @_ }
sub udp_connection { my ($_self, $_o_sock) = @_ }

package Net::DNS::Packet;
our @ISA = qw();
sub _section() {}
sub additional() {}
sub answer() {}
sub answerfrom() {}
sub answersize() {}
sub authority() {}
sub data() {}
sub decode() {}
sub dump() {}
sub edns() {}
sub encode { my ($_self, $_o_size) = @_ }
sub header() {}
sub new() {}
sub pop() {}
sub pre() {}
sub prerequisite() {}
sub push() {}
sub question() {}
sub reply() {}
sub sign_sig0() {}
sub sign_tsig() {}
sub sigrr() {}
sub string() {}
sub truncate() {}
sub unique_push() {}
sub update() {}
sub verify() {}
sub verifyerr() {}
sub zone() {}

package Net::DNS::Parameters;
our @ISA = qw();
sub classbyname() {}
sub classbyval() {}
sub ednsoptionbyname() {}
sub ednsoptionbyval() {}
sub opcodebyname() {}
sub opcodebyval() {}
sub rcodebyname() {}
sub rcodebyval() {}
sub typebyname() {}
sub typebyval() {}

package Net::DNS::Question;
our @ISA = qw();
sub _dns_addr() {}
sub class() {}
sub decode { my ($_data, $_o_offset) = @_ }
sub encode() {}
sub name() {}
sub new() {}
sub qclass() {}
sub qname() {}
sub qtype() {}
sub string() {}
sub type() {}
sub zclass() {}
sub zname() {}
sub ztype() {}

package Net::DNS::RR;
our @ISA = qw();
sub AUTOLOAD() {}
sub DESTROY() {}
sub _decode_rdata { my ($_self, $_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _new_hash { my ($_base, @_more_paras) = @_ }
sub _new_string { my ($_base, $_o__) = @_ }
sub _parse_rdata() {}
sub _subclass() {}
sub canonical() {}
sub class() {}
sub decode { my ($_data, $_offset, @_more_paras) = @_ }
sub dump() {}
sub encode() {}
sub get_rrsort_func() {}
sub name() {}
sub new() {}
sub owner() {}
sub plain() {}
sub rdata() {}
sub rdatastr() {}
sub rdlength() {}
sub rdstring() {}
sub set_rrsort_func() {}
sub string() {}
sub token() {}
sub ttl { my ($_self, $_o_time) = @_ }
sub type() {}

package Net::DNS::RR::A;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub address() {}

package Net::DNS::RR::AAAA;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub address() {}
sub address_long() {}
sub address_short() {}

package Net::DNS::RR::AFSDB;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub hostname() {}
sub subtype() {}

package Net::DNS::RR::APL;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub aplist { my (@_more_paras) = @_ }

package Net::DNS::RR::APL::Item;
our @ISA = qw();
sub address() {}
sub family() {}
sub negate() {}
sub prefix() {}
sub string() {}

package Net::DNS::RR::CAA;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub critical() {}
sub flags() {}
sub tag() {}
sub value() {}

package Net::DNS::RR::CERT;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub algorithm { my ($_self, $_o_arg) = @_ }
sub cert() {}
sub certbin() {}
sub certificate() {}
sub certtype() {}
sub Net::DNS::RR::CERT::format() {}
sub keytag() {}
sub tag() {}

package Net::DNS::RR::CNAME;
our @ISA = qw();
sub _decode_rdata() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub cname() {}

package Net::DNS::RR::CSYNC;
our @ISA = qw();
sub SOAserial() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub flags() {}
sub immediate() {}
sub soaminimum() {}
sub soaserial() {}
sub typelist() {}

package Net::DNS::RR::DHCID;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub digest() {}
sub digesttype() {}
sub identifiertype() {}

package Net::DNS::RR::DNAME;
our @ISA = qw();
sub _decode_rdata() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub dname() {}
sub target() {}

package Net::DNS::RR::DNSKEY;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub algorithm { my ($_self, $_o_arg) = @_ }
sub flags() {}
sub key() {}
sub keybin() {}
sub keylength() {}
sub keytag() {}
sub privatekeyname() {}
sub protocol() {}
sub publickey() {}
sub revoke() {}
sub sep() {}
sub signame() {}
sub zone() {}

package Net::DNS::RR::DS;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub algorithm { my ($_self, $_o_arg) = @_ }
sub babble() {}
sub create() {}
sub digest() {}
sub digestbin() {}
sub digtype { my ($_self, $_o_arg) = @_ }
sub keytag() {}
sub verify { my ($_self, $_o_key) = @_ }

package Net::DNS::RR::EUI48;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub address { my ($_self, $_o_address) = @_ }

package Net::DNS::RR::EUI64;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub address { my ($_self, $_o_address) = @_ }

package Net::DNS::RR::GPOS;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _fp2text() {}
sub _parse_rdata() {}
sub _text2fp() {}
sub altitude() {}
sub latitude() {}
sub longitude() {}

package Net::DNS::RR::HINFO;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub cpu() {}
sub os() {}

package Net::DNS::RR::HIP;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub hit() {}
sub hitbin() {}
sub key() {}
sub keybin() {}
sub pkalgorithm() {}
sub pubkey() {}
sub rendezvousservers() {}
sub servers() {}

package Net::DNS::RR::IPSECKEY;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub algorithm() {}
sub gatetype() {}
sub gateway() {}
sub key() {}
sub keybin() {}
sub precedence() {}
sub pubkey() {}

package Net::DNS::RR::ISDN;
our @ISA = qw();
sub ISDNaddress() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub address() {}
sub sa() {}

package Net::DNS::RR::KEY;
our @ISA = qw();
sub _defaults() {}

package Net::DNS::RR::KX;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub exchange() {}
sub preference() {}

package Net::DNS::RR::L32;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub locator32() {}
sub preference() {}

package Net::DNS::RR::L64;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub locator64() {}
sub preference() {}

package Net::DNS::RR::LOC;
our @ISA = qw();
sub _decode_alt() {}
sub _decode_lat() {}
sub _decode_prec() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_alt() {}
sub _encode_lat() {}
sub _encode_prec() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub altitude() {}
sub horiz_pre() {}
sub hp() {}
sub latitude() {}
sub latlon { my ($_lat, @_more_paras) = @_ }
sub longitude() {}
sub size() {}
sub version() {}
sub vert_pre() {}
sub vp() {}

package Net::DNS::RR::LP;
our @ISA = qw();
sub FQDN { my ($_fqdn) = @_ }
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub fqdn { my ($_fqdn) = @_ }
sub preference() {}
sub target() {}

package Net::DNS::RR::MB;
our @ISA = qw();
sub _decode_rdata() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub madname() {}

package Net::DNS::RR::MG;
our @ISA = qw();
sub _decode_rdata() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub mgmname() {}

package Net::DNS::RR::MINFO;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub emailbx() {}
sub rmailbx() {}

package Net::DNS::RR::MR;
our @ISA = qw();
sub _decode_rdata() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub newname() {}

package Net::DNS::RR::MX;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _defaults() {}
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub exchange() {}
sub preference() {}

package Net::DNS::RR::NAPTR;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub flags() {}
sub order() {}
sub preference() {}
sub regexp() {}
sub replacement() {}
sub service() {}

package Net::DNS::RR::NID;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub nodeid() {}
sub preference() {}

package Net::DNS::RR::NS;
our @ISA = qw();
sub _decode_rdata() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub nsdname() {}

package Net::DNS::RR::NSEC;
our @ISA = qw();
sub _bm2type() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub _type2bm() {}
sub nxtdname() {}
sub typebm() {}
sub typelist() {}

package Net::DNS::RR::NSEC3;
our @ISA = qw();
sub _decode_base32() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_base32() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _hash() {}
sub _parse_rdata() {}
sub algorithm { my ($_self, $_o_arg) = @_ }
sub covered() {}
sub flags() {}
sub hashalgo() {}
sub hnxtname() {}
sub iterations() {}
sub match() {}
sub name2hash() {}
sub optout() {}
sub salt() {}
sub saltbin() {}

package Net::DNS::RR::NSEC3PARAM;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub algorithm() {}
sub flags() {}
sub hashalgo() {}
sub iterations() {}
sub salt() {}
sub saltbin() {}

package Net::DNS::RR::OPENPGPKEY;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub keys() {}
sub keysbin() {}

package Net::DNS::RR::OPT;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _specified() {}
sub class() {}
sub encode() {}
sub flags() {}
sub option() {}
sub options() {}
sub rcode() {}
sub size() {}
sub string() {}
sub ttl() {}
sub version() {}

package Net::DNS::RR::PTR;
our @ISA = qw();
sub _decode_rdata() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub ptrdname() {}

package Net::DNS::RR::PX;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub map822() {}
sub mapx400() {}
sub preference() {}

package Net::DNS::RR::RP;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub mbox() {}
sub txtdname() {}

package Net::DNS::RR::RRSIG;
our @ISA = qw();
sub _CreateSig() {}
sub _CreateSigData { my ($_self, $_o_rrsetref) = @_ }
sub _VerifySig() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_rdata() {}
sub _format_rdata() {}
sub _ordered($$) { my ($_a, $_o_b) = @_ }
sub _parse_rdata() {}
sub _string2time() {}
sub _time2string() {}
sub algorithm { my ($_self, $_o_arg) = @_ }
sub create { my ($_class, $_rrsetref, $_priv_key, @_more_paras) = @_ }
sub keytag() {}
sub labels() {}
sub orgttl() {}
sub sig() {}
sub sigbin() {}
sub sigex() {}
sub sigexpiration() {}
sub sigin() {}
sub siginception() {}
sub signame() {}
sub signature() {}
sub sigval() {}
sub typecovered() {}
sub verify { my ($_self, $_rrsetref, $_o_keyref) = @_ }
sub vrfyerrstr() {}

package Net::DNS::RR::RT;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub intermediate() {}
sub preference() {}

package Net::DNS::RR::SIG;
our @ISA = qw();
sub _CreateSig() {}
sub _CreateSigData { my ($_self, $_o_message) = @_ }
sub _VerifySig() {}
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _defaults() {}
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _ordered($$) { my ($_a, $_o_b) = @_ }
sub _parse_rdata() {}
sub _size() {}
sub _string2time() {}
sub _time2string() {}
sub algorithm { my ($_self, $_o_arg) = @_ }
sub create { my ($_class, $_data, $_priv_key, @_more_paras) = @_ }
sub keytag() {}
sub labels() {}
sub orgttl() {}
sub sig() {}
sub sigbin() {}
sub sigex() {}
sub sigexpiration() {}
sub sigin() {}
sub siginception() {}
sub signame() {}
sub signature() {}
sub sigval() {}
sub typecovered() {}
sub verify { my ($_self, $_dataref, $_o_keyref) = @_ }
sub vrfyerrstr() {}

package Net::DNS::RR::SMIMEA;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub babble() {}
sub cert() {}
sub certbin() {}
sub certificate() {}
sub matchingtype() {}
sub selector() {}
sub usage() {}

package Net::DNS::RR::SOA;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _defaults() {}
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _ordered($$) { my ($_a, $_o_b) = @_ }
sub _parse_rdata() {}
sub expire() {}
sub minimum() {}
sub mname() {}
sub refresh() {}
sub retry() {}
sub rname() {}
sub serial() {}

package Net::DNS::RR::SPF;
our @ISA = qw();
sub spfdata() {}
sub txtdata() {}

package Net::DNS::RR::SRV;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_offset, @_more_paras) = @_ }
sub _encode_rdata { my ($_offset, @_more_paras) = @_ }
sub _format_rdata() {}
sub _parse_rdata() {}
sub port() {}
sub priority() {}
sub target() {}
sub weight() {}

package Net::DNS::RR::SSHFP;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub algorithm() {}
sub babble() {}
sub fingerprint() {}
sub fp() {}
sub fpbin() {}
sub fptype() {}

package Net::DNS::RR::TKEY;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub algorithm() {}
sub class() {}
sub encode() {}
sub error() {}
sub expiration() {}
sub inception() {}
sub key() {}
sub mode() {}
sub other() {}
sub other_data() {}

package Net::DNS::RR::TLSA;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub babble() {}
sub cert() {}
sub certbin() {}
sub certificate() {}
sub matchingtype() {}
sub selector() {}
sub usage() {}

package Net::DNS::RR::TSIG;
our @ISA = qw();
sub _chain() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _defaults() {}
sub _encode_rdata { my ($_offset, $_undef, $_o_packet) = @_ }
sub _size() {}
sub algorithm() {}
sub create() {}
sub encode() {}
sub error() {}
sub fudge() {}
sub key() {}
sub keybin() {}
sub mac() {}
sub macbin() {}
sub original_id() {}
sub other() {}
sub other_data() {}
sub prior_mac() {}
sub prior_macbin() {}
sub request_mac() {}
sub request_macbin() {}
sub sig_data { my ($_self, $_o_message) = @_ }
sub sig_function() {}
sub sign_func() {}
sub string() {}
sub time_signed() {}
sub verify() {}
sub vrfyerrstr() {}

package Net::DNS::RR::TXT;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub char_str_list() {}
sub txtdata() {}

package Net::DNS::RR::URI;
our @ISA = qw();
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub priority() {}
sub target() {}
sub weight() {}

package Net::DNS::RR::X25;
our @ISA = qw();
sub PSDNaddress() {}
sub _decode_rdata { my ($_data, $_o_offset) = @_ }
sub _encode_rdata() {}
sub _format_rdata() {}
sub _parse_rdata() {}
sub address() {}

package Net::DNS::Resolver::Base;
our @ISA = qw();
sub AUTOLOAD { my ($_o_self) = @_ }
sub DESTROY() {}
sub _axfr_next { my ($_self, $_o_verify) = @_ }
sub _axfr_start { my (@_more_paras) = @_ }
sub _bgsend_tcp { my ($_self, $_packet, $_o_packet_data) = @_ }
sub _bgsend_udp { my ($_self, $_packet, $_o_packet_data) = @_ }
sub _cname_addr() {}
sub _create_dst_sockaddr { my ($_self, $_ip, $_o_port) = @_ }
sub _create_tcp_socket() {}
sub _create_udp_socket() {}
sub _diag() {}
sub _ipv4() {}
sub _ipv6() {}
sub _make_query_packet { my ($_o_packet) = @_ }
sub _packetsz() {}
sub _read_config_file() {}
sub _read_env() {}
sub _read_tcp() {}
sub _read_udp() {}
sub _reset_errorstring() {}
sub _send_tcp { my ($_self, $_packet, $_o_packet_data) = @_ }
sub _send_udp { my ($_self, $_packet, $_o_packet_data) = @_ }
sub _tainted() {}
sub _untaint() {}
sub answerfrom() {}
sub axfr() {}
sub axfr_next() {}
sub axfr_start() {}
sub bgbusy { my ($_o_sock) = @_ }
sub bgisready() {}
sub bgread() {}
sub bgsend() {}
sub dnssec() {}
sub domain() {}
sub errorstring() {}
sub force_v4() {}
sub force_v6() {}
sub make_query_packet() {}
sub nameserver() {}
sub nameservers() {}
sub new { my ($_class, @_more_paras) = @_ }
sub prefer_v4() {}
sub prefer_v6() {}
sub query() {}
sub search() {}
sub searchlist() {}
sub send() {}
sub srcaddr() {}
sub string() {}
sub tsig() {}
sub udppacketsize() {}

package Net::DNS::Resolver::MSWin32;
our @ISA = qw();
sub _init() {}
sub _untaint() {}

package Net::DNS::Resolver::Recurse;
our @ISA = qw();
sub _callback() {}
sub callback() {}
sub hints { my (@_more_paras) = @_ }
sub query_dorecursion() {}
sub recursion_callback() {}
sub send() {}

package Net::DNS::Resolver::UNIX;
our @ISA = qw();
sub _init() {}
sub _untaint() {}

package Net::DNS::Resolver::android;
our @ISA = qw();
sub _init() {}
sub _untaint() {}

package Net::DNS::Resolver::cygwin;
our @ISA = qw();
sub _getregkey() {}
sub _init() {}
sub _untaint() {}

package Net::DNS::Resolver::os2;
our @ISA = qw();
sub _init() {}
sub _untaint() {}

package Net::DNS::Text;
our @ISA = qw();
sub _decode_utf8() {}
sub _encode_utf8() {}
sub decode() {}
sub encode() {}
sub new() {}
sub raw() {}
sub string() {}
sub value() {}

package Net::DNS::Update;
our @ISA = qw();
sub new { my ($_zone, @_more_paras) = @_ }
sub push() {}
sub unique_push() {}

package Net::DNS::ZoneFile;
our @ISA = qw();
sub _filename() {}
sub _generate { my ($_self, $_range, $_o_template) = @_ }
sub _getRR() {}
sub _getline() {}
sub _include() {}
sub _origin() {}
sub _read { my ($_o_arg1) = @_ }
sub line() {}
sub name() {}
sub new() {}
sub origin() {}
sub parse { my ($_range, $_template, $_o_line) = @_ }
sub read { my ($_o_self) = @_ }
sub readfh() {}
sub ttl() {}
