
package POSIX;
# manually telling perl_checker nearly all those funcs are exported by default
# perl_checker: EXPORT-ALL
our @ISA = qw();
sub WEXITSTATUS { my ($_status) = @_ }
sub WIFEXITED { my ($_status) = @_ }
sub WIFSIGNALED { my ($_status) = @_ }
sub WIFSTOPPED { my ($_status) = @_ }
sub WSTOPSIG { my ($_status) = @_ }
sub WTERMSIG { my ($_status) = @_ }
sub _exit { my ($_status) = @_ }
sub abort() {}
sub access { my ($_filename, $_mode) = @_ }
sub acos { my ($_x) = @_ }
sub acosh { my ($_x) = @_ }
sub asctime { my ($_sec, $_min, $_hour, $_mday, $_mon, $_year, $_o_wday, $_o_yday, $_o_isdst) = @_ }
sub asin { my ($_x) = @_ }
sub asinh { my ($_x) = @_ }
sub atan { my ($_x) = @_ }
sub atanh { my ($_x) = @_ }
sub cbrt { my ($_x) = @_ }
sub ceil { my ($_x) = @_ }
sub clock() {}
sub close { my ($_fd) = @_ }
sub copysign { my ($_x, $_y) = @_ }
sub cosh { my ($_x) = @_ }
sub ctermid { my ($_o_s ) = @_ }
sub ctime { my ($_time) = @_ }
sub cuserid { my ($_o_s ) = @_ }
sub difftime { my ($_time1, $_time2) = @_ }
sub dup { my ($_fd) = @_ }
sub dup2 { my ($_fd1, $_fd2) = @_ }
sub erf { my ($_x) = @_ }
sub erfc { my ($_x) = @_ }
sub exp2 { my ($_x) = @_ }
sub expm1 { my ($_x) = @_ }
sub fdim { my ($_x, $_y) = @_ }
sub fegetround() {}
sub fesetround { my ($_x) = @_ }
sub floor { my ($_x) = @_ }
sub fma { my ($_x, $_y, $_z) = @_ }
sub fmax { my ($_x, $_y) = @_ }
sub fmin { my ($_x, $_y) = @_ }
sub fmod { my ($_x, $_y) = @_ }
sub fpathconf { my ($_fd, $_name) = @_ }
sub fpclassify { my ($_x) = @_ }
sub frexp { my ($_x) = @_ }
sub getcwd() {}
sub hypot { my ($_x, $_y) = @_ }
sub ilogb { my ($_x) = @_ }
sub isfinite { my ($_x) = @_ }
sub isgreater { my ($_x, $_y) = @_ }
sub isgreaterequal { my ($_x, $_y) = @_ }
sub isinf { my ($_x) = @_ }
sub isless { my ($_x, $_y) = @_ }
sub islessequal { my ($_x, $_y) = @_ }
sub islessgreater { my ($_x, $_y) = @_ }
sub isnan { my ($_x) = @_ }
sub isnormal { my ($_x) = @_ }
sub isunordered { my ($_x, $_y) = @_ }
sub j0 { my ($_x) = @_ }
sub j1 { my ($_x) = @_ }
sub jn { my ($_x, $_y) = @_ }
sub lchown { my ($_uid, $_gid, $_path) = @_ }
sub ldexp { my ($_x, $_exp) = @_ }
sub lgamma { my ($_x) = @_ }
sub localeconv() {}
sub log10 { my ($_x) = @_ }
sub log1p { my ($_x) = @_ }
sub log2 { my ($_x) = @_ }
sub logb { my ($_x) = @_ }
sub lrint { my ($_x) = @_ }
sub lround { my ($_x) = @_ }
sub lseek { my ($_fd, $_offset, $_whence) = @_ }
sub mblen { my ($_s, $_n) = @_ }
sub mbstowcs { my ($_s, $_pwcs, $_n) = @_ }
sub mbtowc { my ($_pwc, $_s, $_n) = @_ }
sub mkfifo { my ($_filename, $_mode) = @_ }
sub mktime { my ($_sec, $_min, $_hour, $_mday, $_mon, $_year, $_o_wday, $_o_yday, $_o_isdst) = @_ }
sub modf { my ($_x) = @_ }
sub nan { my ($_o_s ) = @_ }
sub nearbyint { my ($_x) = @_ }
sub nextafter { my ($_x, $_y) = @_ }
sub nexttoward { my ($_x, $_y) = @_ }
sub nice { my ($_incr) = @_ }
sub open { my ($_filename, $_o_flags, $_o_mode) = @_ }
sub pathconf { my ($_filename, $_name) = @_ }
sub pause() {}
sub pipe() {}
sub read { my ($_fd, $_buffer, $_nbytes) = @_ }
sub remainder { my ($_x, $_y) = @_ }
sub remquo { my ($_x, $_y) = @_ }
sub rint { my ($_x) = @_ }
sub round { my ($_x) = @_ }
sub scalbn { my ($_x, $_y) = @_ }
sub setgid { my ($_gid) = @_ }
sub setlocale { my ($_category, $_o_locale) = @_ }
sub setpgid { my ($_pid, $_pgid) = @_ }
sub setsid() {}
sub setuid { my ($_uid) = @_ }
sub sigaction { my ($_sig, $_optaction, $_o_oldaction) = @_ }
sub signbit { my ($_x) = @_ }
sub sigpending { my ($_sigset) = @_ }
sub sigprocmask { my ($_how, $_sigset, $_o_oldsigset) = @_ }
sub sigsuspend { my ($_sigset) = @_ }
sub sinh { my ($_x) = @_ }
sub sleep { my ($_seconds) = @_ }
sub strcoll { my ($_s1, $_s2) = @_ }
sub strftime { my ($_fmt, $_sec, $_min, $_hour, $_mday, $_mon, $_year, $_o_wday, $_o_yday, $_o_isdst) = @_ }
sub strtod { my ($_str) = @_ }
sub strtol { my ($_str, $_o_base) = @_ }
sub strtold { my ($_str) = @_ }
sub strtoul { my ($_str, $_o_base) = @_ }
sub strxfrm { my ($_src) = @_ }
sub sysconf { my ($_name) = @_ }
sub tan { my ($_x) = @_ }
sub tanh { my ($_x) = @_ }
sub tcdrain { my ($_fd) = @_ }
sub tcflow { my ($_fd, $_action) = @_ }
sub tcflush { my ($_fd, $_action) = @_ }
sub tcgetpgrp { my ($_fd) = @_ }
sub tcsendbreak { my ($_fd, $_action) = @_ }
sub tcsetpgrp { my ($_fd, $_pgrp_id) = @_ }
sub tgamma { my ($_x) = @_ }
sub times() {}
sub tmpnam() {}
sub trunc { my ($_x) = @_ }
sub ttyname { my ($_fd) = @_ }
sub tzname() {}
sub tzset() {}
sub uname() {}
sub wcstombs { my ($_s, $_pwcs, $_n) = @_ }
sub wctomb { my ($_s, $_wchar) = @_ }
sub write { my ($_fd, $_buffer, $_nbytes) = @_ }
sub y0 { my ($_x) = @_ }
sub y1 { my ($_x) = @_ }
sub yn { my ($_x, $_y) = @_ }

package POSIX::SigSet;
our @ISA = qw();
sub addset { my ($_sigset, $_sig) = @_ }
sub delset { my ($_sigset, $_sig) = @_ }
sub emptyset { my ($_sigset) = @_ }
sub fillset { my ($_sigset) = @_ }
sub ismember { my ($_sigset, $_sig) = @_ }
sub new { my ($_o_packname , @_more_paras) = @_ }

package POSIX::Termios;
our @ISA = qw();
sub getattr { my ($_termios_ref, $_o_fd) = @_ }
sub getcc { my ($_termios_ref, $_ccix) = @_ }
sub getcflag { my ($_termios_ref) = @_ }
sub getiflag { my ($_termios_ref) = @_ }
sub getispeed { my ($_termios_ref) = @_ }
sub getlflag { my ($_termios_ref) = @_ }
sub getoflag { my ($_termios_ref) = @_ }
sub getospeed { my ($_termios_ref) = @_ }
sub new { my ($_o_packname , @_more_paras) = @_ }
sub setattr { my ($_termios_ref, $_o_fd, $_o_optional_actions) = @_ }
sub setcc { my ($_termios_ref, $_ccix, $_cc) = @_ }
sub setcflag { my ($_termios_ref, $_flag) = @_ }
sub setiflag { my ($_termios_ref, $_flag) = @_ }
sub setispeed { my ($_termios_ref, $_speed) = @_ }
sub setlflag { my ($_termios_ref, $_flag) = @_ }
sub setoflag { my ($_termios_ref, $_flag) = @_ }
sub setospeed { my ($_termios_ref, $_speed) = @_ }
